::-webkit-input-placeholder {
  color: $color-accessibleGrey;
}

::-moz-placeholder {
  color: $color-accessibleGrey;
}

:-ms-input-placeholder {
  color: $color-accessibleGrey;
}

:-moz-placeholder {
  color: $color-accessibleGrey;
}

.form {
  opacity: 1;
  label {
    max-width: 100%;
    display: block;
    position: relative;
    vertical-align: middle;
    font-weight: 600;
    text-align: left;
    color: $text-color;
    transition: all 0.2s;

    em {
      font-style: inherit;
    }

    a {
      font-weight: bold;
    }

    // Empty labels collapse automatically (not available in IE8)
    &:empty {
      display: none;
    }
  }

  input,
  textarea,
  select,
  keygen,
  option,
  optgroup,
  //button,
  legend/*,
  fieldset*/ {
    outline: none;
    color: $text-color;
    vertical-align: top;
    display: block;
  }

  input,
  //button,
  select,
  keygen,
  textarea {
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    font-style: inherit;
    font-weight: inherit;
  }

  datalist {
  }

  /**
   * 1. Chrome and Firefox set a `min-width: min-content;` on fieldsets,
   *  so we reset that to ensure it behaves more like a standard block element.
   */
  fieldset {
    min-width: 0; /* 1 */
    border: 0;
    margin: 0;
    //background: $color-bg-coolGrey;
    //padding: $global-padding-mobile;
    padding: 0;

    legend {
      display: none;
    }

    .vertical {
      .legend-wrapper {
        display:flex;
        justify-content: space-between;
        align-items: flex-end;
        margin:0 0 3em;
      }

      h3, h2 {
        margin:0;
      }
    }
  }

  legend {
    padding: 0;
    font-weight: inherit;
    display: block;
    width: 100%;
    border: 0;
    line-height: inherit;
  }

  %form-input {
    width: 100%;
    max-width: 370px;
    padding: 8px 10px;
    border-radius: 8px;
    background-color: #fff;
    border: 1px solid #b8b8b8;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    // Reset unusual Firefox-on-Android default style;
    // see https://github.com/necolas/normalize.css/issues/214
    background-image: none;
    min-height: 45px; //fix for IE11

    &:active,
    &:focus {
      cursor: text;
      outline: none;
    }

    &:focus {
      border-color: $color-accessibleGreen !important;
      background-color: #fefefe;
      box-shadow: 0 0 0 1px $color-accessibleGreen;
    }
  }

  .input {
    display: block;

    &:empty {
      color: #b8b8b8;

      &:before {
        content: attr(data-placeholder);
      }
    }

    @extend %form-input;
  }

  &-field--invalid {
    .input {
      border-color: $invalid-colour;
    }
  }

  &-field--valid {
    .input {
      border-color: $valid-colour;
    }
  }

  input[type="text"],
  input[type="email"],
  input[type="password"],
  input[type="search"],
  input[type="color"],
  input[type="date"],
  input[type="datetime"],
  input[type="datetime-local"],
  input[type="month"],
  input[type="number"],
  input[type="tel"],
  input[type="time"],
  input[type="url"],
  input[type="week"],
  input[list],
  input[type="file"],
  select,
  keygen,
  textarea {
    @extend %form-input;

    &.valid {
      border-color: $valid-colour;
    }

    &.error {
      border-color: $invalid-colour;
    }

    &.lg {
      max-width: 370px;
    }

    &.md {
      max-width: 240px;
    }

    &.sm {
      max-width: 130px;
    }
  }

  input[type="password"],
  input[type="date"],
  input[type="week"],
  input[type="datetime-local"],
  input[type="tel"],
  input[type="month"] {
    max-width: 240px;
  }

  input[type="number"],
  input[type="time"] {
    max-width: 130px;
  }

  select,
  keygen,
  textarea,
  input[type="text"],
  input[type="password"],
  input[type="datetime"],
  input[type="datetime-local"],
  input[type="date"],
  input[type="month"],
  input[type="time"],
  input[type="week"],
  input[type="number"],
  input[type="email"],
  input[type="url"],
  input[type="search"],
  input[type="tel"],
  input[type="color"] {
    // Unstyle the caret on `<select>`s in IE10+.
    &::-ms-expand {
      border: 0;
      background-color: transparent;
    }

    // Disabled and read-only inputs
    //
    // HTML5 says that controls under a fieldset > legend:first-child won't be
    // disabled if the fieldset is disabled. Due to implementation difficulty, we
    // don't honor that edge case; we style them as disabled anyway.
    &[disabled],
    &[readonly],
    fieldset[disabled] & {
      // TODO - style this
      //background-color: @input-bg-disabled;
      // iOS fix for unreadable disabled content;
      opacity: 1;
    }

    &[disabled],
    fieldset[disabled] & {
      cursor: not-allowed;
    }
  }

  input,
  textarea,
  button {
    &[disabled] {
      pointer-events: none;
    }
  }

  input[type="text"],
  input[type="email"],
  input[type="password"],
  input[type="search"],
  input[type="color"],
  input[type="date"],
  input[type="datetime"],
  input[type="datetime-local"],
  input[type="month"],
  input[type="number"],
  input[type="tel"],
  input[type="time"],
  input[type="url"],
  input[type="week"],
  input[list] {
    -webkit-appearance: none;
  }

  input[type="number"]:not(.enable-spinners)::-webkit-inner-spin-button,
  input[type="number"]:not(.enable-spinners)::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  input[type="number"] {
    -moz-appearance: textfield;
  }

  input[type="number"].enable-spinners:hover,
  input[type="number"].enable-spinners:focus {
    -moz-appearance: none;
  }

  textarea {
    -webkit-appearance: none;
    resize: vertical;
    overflow: auto;
    // Reset height for `textarea`s
    height: auto;
    min-height: 8rem;
  }

  input[type="file"] {
    display: block;
  }

  input[type="search"] {
    box-sizing: border-box;
    -webkit-appearance: none; /* 1 */
  }

  input[type="search"]::-webkit-search-decoration,
  input[type="search"]::-webkit-search-cancel-button,
  input[type="search"]::-webkit-search-results-button,
  input[type="search"]::-webkit-search-results-decoration {
    display: none;
  }

  select {
    width: 100%;

    option {
      padding: 8px 10px;
    }

    &[multiple],
    &[size] {
      // Make multiple select elements height not fixed
      height: auto;
      padding: 0;

      option {
        margin: 0;
      }
    }
  }

  /* fix browser specific select styles */
  select {
    @function chevron($color) {
      // function to provide an SVG chevron icon of the desired color for the down arrow
      $sripcolor: str-slice(
        inspect($color),
        2
      ); //'#' is an invalid character - need to remove it
      $icon: "data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 9' height='9' width='30' focusable='false'%3E%3Cpath id='path2' fill='%23#{$sripcolor}' d='M8,8.4 15.4,1.5 14.5,0.4 8,5.3 1.5,0.4 0.6,1.5' /%3E%3C/svg%3E";
      @return url($icon);
    }

    -webkit-appearance: none;
    -moz-appearance: none;
    appearence: none;
    @include rem(height, 27px);
    background-image: chevron($color-oceanBlue);
    background-repeat: no-repeat;
    background-position: right center;
    &.valid {
      background-image: chevron($valid-colour);
    }
    &.error {
      background-image: chevron($invalid-colour);
    }
    &:focus {
      background-image: chevron($color-accessibleGreen);
    }
  }
  select::-ms-expand {
    display: none; /* hide the default arrow in ie11 */
  }

  label,
  input,
  textarea,
  button,
  select,
  option {
    cursor: pointer;
  }

  // more

  input[type="checkbox"],
  input[type="radio"] {
    margin: 0 5px 0 0;
    margin-top: 1px \9; // IE8-9
    line-height: normal;

    // make sure that these always display inline - as they should be next to an input
    display: inline-block;
    vertical-align: middle;

    + label {
      width: auto;
      display: inline-block;
      margin-top: 0;
      margin-bottom: 0;
    }

    &[disabled] {
      + label {
        cursor: not-allowed;
      }
    }

    &:focus {
      outline: 0;
    }
  }

  input[type="range"] {
    width: 100%;
    display: block;
    -webkit-appearance: none;

    $width: 100%;
    $track-height: 5px;
    $track-border-radius: 0px;
    $track-background-color: #ac51b5;

    &::-webkit-slider-runnable-track {
      width: $width;
      height: $track-height;
      cursor: pointer;
      animate: 0.2s;
      box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
      background: green;
      border-radius: $track-border-radius;
      border: 0px solid #000000;
    }

    &:in-range::-webkit-slider-runnable-track {
    }

    &:out-of-range::-webkit-slider-runnable-track {
    }

    &::-webkit-slider-thumb {
      -webkit-appearance: none;
      box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
      border: 0px solid #000000;
      height: 20px;
      width: 20px;
      border-radius: 100%;
      background: green;
      cursor: pointer;
      margin-top: -3.6px;
    }

    &:focus::-webkit-slider-runnable-track {
      background: $track-background-color;
    }

    &::-moz-range-track {
      width: $width;
      height: $track-height;
      cursor: pointer;
      animate: 0.2s;
      box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
      background: $track-background-color;
      border-radius: $track-border-radius;
      border: 0px solid #000000;
    }

    &::-moz-range-thumb {
      box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
      border: 0px solid #000000;
      height: 20px;
      width: 39px;
      border-radius: 7px;
      background: #65001c;
      cursor: pointer;
    }

    &::-ms-track {
      width: $width;
      height: $track-height;
      cursor: pointer;
      animate: 0.2s;
      background: transparent;
      border-color: transparent;
      border-width: 39px 0;
      color: transparent;
    }

    &::-ms-fill-lower {
      background: $track-background-color;
      border: 0px solid #000000;
      border-radius: 50px;
      box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    }

    &::-ms-fill-upper {
      background: $track-background-color;
      border: 0px solid #000000;
      border-radius: 50px;
      box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    }

    &::-ms-thumb {
      box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
      border: 0px solid #000000;
      height: 20px;
      width: 39px;
      border-radius: 7px;
      background: #65001c;
      cursor: pointer;
    }

    &:focus::-ms-fill-lower {
      background: $track-background-color;
    }

    &:focus::-ms-fill-upper {
      background: $track-background-color;
    }
  }

  input[type="color"] {
    padding: 0;
    height: 40px;
    width: 40px;
  }
}

// progress
// meter
//

.form {
  //background: $color-bg-warmGrey;
  position: relative;

  &__main-heading {
    border-bottom: 1px solid rgba(4, 88, 155, 0.1);
    padding-bottom: map-get($mobile, space-md);
    margin-bottom: map-get($mobile, space-xsmsm);
    p:last-child,
    h2:last-child {
      margin-bottom: 0;
    }

    @include breakpoint($medium) {
      padding-bottom: map-get($desktop, space-sm);
      margin-bottom: map-get($desktop, space-md);
    }
  }

  &__header {
    line-height: 1.25;
    margin-bottom: 28px;
  }

  .container {
    max-width: 900px;
  }

  .form-field {
    &--button {
      text-align: right;
      margin-top: 1rem;

      .cta.cta--no-icon {
        margin: 0;
        padding: 0.8rem 1.5rem;
        min-width: 205px;

        &:after {
          display: none;
        }
      }
    }

    &.hide-label/*,&.form-field--invalid*/ {
      .labelText {
        display: none;
      }
    }

    .fieldErrors {
      display: block;
    }

    &__label,
    &__additional {
      font-size: 13px;
      display: block;
    }

    &__label {
      font-weight: 600;
      margin-bottom: 4px;

      .validator__message ~ .validator__message {
        display: none;
      }
    }

    &__additional {
      margin-bottom: 10px;
    }

    //outline: 1px solid red;
    //padding: 10px 0;
    margin-bottom: map-get($mobile, space-sm);

    @include breakpoint($medium) {
      margin-bottom: map-get($desktop, space-sm);
    }

    &:last-child {
      margin-bottom: 0 !important;
    }

    &__field {
      position: relative;
      display: flex;
      align-items: center;
    }

    &__info {
      margin: 0;
      line-height: 1.25;
      max-height: 0;
      overflow: hidden;
      transition: max-height 0.3s;

      > div {
        margin-top: 12px;
        padding: 16px;
        background: #eee;
        border-radius: 8px;
      }

      &.open {
        max-height: 10rem;
      }
    }

    &__infoicon {
      display: inline-block;
      line-height: 1;
      margin: 0;
      vertical-align: middle;
      margin-left: 12px;
      cursor: pointer;

      svg {
        #tt-bg {
          fill: none;
        }
        #tt-i {
          fill: $color-oceanBlue;
        }
      }

      &:hover,
      &.open {
        svg {
          #tt-bg {
            fill: $color-oceanBlue;
          }
          #tt-i {
            fill: #fff;
          }
        }
      }
    }

    &--invalid {
      label {
        color: $invalid-colour;
      }
    }
    &--select .form-field__field div {
      width: 100%;
    }

    ul {
      list-style: none;
      margin: 0;
      padding: 0;
      line-height: 1.2;
      width: 100%;
      max-width: 370px;
    }

    li {
      margin: 0;
      padding: 12px 0;
      position: relative;
      overflow: hidden;

      input[type="checkbox"],
      input[type="radio"] {
        position: absolute;
        left: -999rem;

        + label {
          padding-left: 34px;
          position: relative;
          display: block;
          font-weight: normal;

          > span {
            width: 20px;
            height: 20px;
            position: absolute;
            left: 0;
            top: 0;
            border: 1px solid #d2d9dc;
            border-radius: 4px;
          }
        }

        &:checked,
        &:focus {
          + label {
            > span {
              border-color: $color-accessibleGreen;
            }
          }
        }
      }

      input[type="checkbox"] {
        + label {
          > span {
            &:before {
              content: "";
              width: 10px;
              height: 10px;
              border-radius: 2px;
              position: absolute;
              top: 50%;
              left: 50%;
              transform: translate(-50%, -50%);
              transition: all 0.5s;
              border: 1px solid #d2d9dc;
            }

            svg {
              position: absolute;
              top: -3px;
              left: 4px;
              fill: $color-accessibleGreen;
              opacity: 0;
              transition: all 0.5s;
            }
          }
        }

        &:checked {
          + label {
            svg {
              opacity: 1;
            }
          }
        }
      }

      input[type="radio"] {
        + label {
          span {
            border-radius: 50%;

            &:after,
            &:before {
              content: "";
              width: 10px;
              height: 10px;
              border-radius: 50%;
              position: absolute;
              top: 50%;
              left: 50%;
              transform: translate(-50%, -50%);
              transition: all 0.5s;
            }

            &:after {
              border: 1px solid #d2d9dc;
            }

            &:before {
              background-color: $color-accessibleGreen;
              transform: translate(-50%, -50%) scale(0);
            }
          }
        }

        &:checked {
          + label {
            span {
              &:after {
                border-color: $color-accessibleGreen;
              }

              &:before {
                transform: translate(-50%, -50%) scale(1);
              }
            }
          }
        }
      }

      &:not(:last-child) {
        border-bottom: 1px solid #d2d9dc;
      }
    }
  }

  .feedback {
    max-width: 650px;
    margin: 0 auto;

    h2 {
      color: $color-heading;
    }

    .columns\@md {
      > div:first-child {
        margin-bottom: 3rem;

        @include breakpoint($medium) {
          margin-bottom: 0;
        }
      }
    }
  }
}

.xx {
  margin-bottom: map-get($mobile, space-md);

  @include breakpoint($large) {
    margin-bottom: map-get($desktop, space-md);
  }

  &__left {
    h2 {
      color: $color-heading;
    }
    .image {
      display: block;
      margin-top: map-get($mobile, space-sm);

      @include breakpoint($large) {
        margin-top: map-get($desktop, space-sm);
      }
    }
  }

  &__left {
    padding: map-get($mobile, space-sm) 0;

    @include breakpoint($medium) {
      padding: map-get($desktop, space-sm) 0;
    }
  }

  &__right {
    padding: map-get($mobile, space-sm);

    @include breakpoint($medium) {
      padding: map-get($desktop, space-sm);
    }
  }

  &__right {
    border-radius: 8px;
    background-color: #fff;
  }

  @include breakpoint($medium) {
    display: flex;
    justify-content: space-between;

    &__left {
      flex: 0 0 38%;
    }

    &__right {
      flex: 0 0 486px;
      padding-right: 78px;
    }
  }
}

.overlay {
  &--form {
    .slide-pane {
      &__content {
        display: block !important;
        padding: 1rem !important;
      }

      &__header {
        background-color: #fff;
      }

      &__title {
        position: relative;
        display: block;
        margin: 0;
        padding: 10px 10px 10px 50px;
        color: inherit;
        font-family: inherit;
        font-size: inherit;

        &:before {
          content: "";
          position: absolute;
          left: 20px;
          top: 50%;
          transform: translate(0, -50%);
          width: 16px;
          height: 16px;
          background: url("images/icon/icon-tick.svg") no-repeat 50% 50%;
        }

        &-wrapper {
          margin-left: 1rem;
        }
      }
    }

    ul {
      list-style: none;
      margin: 0;
      padding: 0;
    }

    li {
      position: relative;
      display: block;
      margin: 0;
      padding: 10px 10px 10px 50px;
      border-radius: 8px;
      color: $link-color;
      cursor: pointer;

      .icon {
        position: absolute;
        left: 20px;
        top: 50%;
        transform: translate(0, -50%);

        svg {
          fill: $color-accessibleGreen;
        }
      }

      &.selected {
        background: #eee;
      }
    }
  }
}

.form-errors {
  background-color: #fff;
  border: 2px solid $invalid-colour;
  border-radius: 8px;
  padding: 20px 35px 35px 80px;
  margin-bottom: 40px;
  color: $invalid-colour;

  label {
    color: inherit;
    font-weight: 300;
    display: inline-block;
  }

  ul,
  li {
    margin: 0;
  }

  ul {
    border-top: 1px solid #eee;
    padding-top: 20px;
    padding-left: 0;
    list-style-position: inside;
  }

  h3 {
    position: relative;

    .icon {
      position: absolute;
      width: 30px;
      height: 30px;
      margin-left: -50px;
      top: 50%;
      transform: translate(0, -50%);
      fill: $invalid-colour;
    }
  }
}

.form {
  input[type="file"] {
    &:focus {
      + .custom-file {
        .input {
          border-color: $color-accessibleGreen !important;
          background-color: #fefefe;
          box-shadow: 0 0 0 1px $color-accessibleGreen;
        }
      }
    }

    height: 0.1px;
    width: 0.1px;
    opacity: 0;
    padding: 0;
  }

  &-field--file {
    .form-field__field {
      flex-wrap: wrap;
    }
  }

  &-field--document-library-document {
    .form-field__label {
      display:none;
    }
  }

  .custom-file {
    display: flex;
    align-items: flex-start;
    font-weight: initial;
    flex: 0 0 100%;

    &__additional {
      display: block;
      color: #b9b9b9;
      line-height: 1.2;
      font-size: 13px;
      text-align: center;
      font-family: $font-muli;
      margin-top: 10px;
    }

    .input {
      margin-right: 16px;
    }

    .cta {
      margin: 5px 0;
      padding: 8px 12px;
    }
  }
}
